#ifndef UTILS_H
#define UTILS_H
#include <inttypes.h>
#include <stdio.h>
#include <stdarg.h>
#include <types.h>

#define PIN2PORT(pin) (pin / 16)
#define PIN2PIN(pin) (pin % 16)

void delayMS(uint32_t ms);
void delayS(uint32_t s);

void puart_printf(const char *format, ...);
void gpio_togglePin(BYTE port, BYTE pin);

#endif //UTILS_H
